# Ipopt::RestoIterationOutput Class Reference

Class for the iteration summary output for the restoration phase. More...

`#include <IpRestoIterationOutput.hpp>`

Inheritance diagram for Ipopt::RestoIterationOutput:
[legend]

List of all members.

## Public Member Functions
virtual bool | InitializeImpl (const OptionsList &options, const std::string &prefix)
| overloaded from AlgorithmStrategyObject
virtual void | WriteOutput ()
| Method to do all the summary output per iteration.
Constructors/Destructors
| RestoIterationOutput (const SmartPtr< OrigIterationOutput > &resto_orig_iteration_output)
| Constructor.
virtual | ~RestoIterationOutput ()
| Default destructor.
## Private Member Functions
Default Compiler Generated Methods (Hidden to avoid
implicit creation/calling). These methods are not implemented and we do not want the compiler to implement them for us, so we declare them private and do not define them. This ensures that they will not be implicitly created/called.
| RestoIterationOutput ()
| Default Constructor.
| RestoIterationOutput (const RestoIterationOutput &)
| Copy Constructor.
void | operator= (const RestoIterationOutput &)
| Overloaded Equals Operator.
## Private Attributes
SmartPtr< OrigIterationOutput > | resto_orig_iteration_output_
| Pointer to output strategy object during regular iterations.
bool | print_info_string_
| Flag indicating weather info string should be printed at end of iteration summary line.
InfPrOutput | inf_pr_output_
| Option indication what should be printed in inf_pr column.
int | print_frequency_iter_
| Option indicating at which iteration frequency the summary line should be printed.
Number | print_frequency_time_
| Option indicating at which time frequency the summary line should be printed.

## Detailed Description

Class for the iteration summary output for the restoration phase.

This prints information for the ORIGINAL NLP (and possibly for the restoration phase NLP.

Definition at line 22 of file IpRestoIterationOutput.hpp.

## Constructor & Destructor Documentation

Ipopt::RestoIterationOutput::RestoIterationOutput | ( | const SmartPtr< OrigIterationOutput > & | resto_orig_iteration_output | ) |

Constructor.

If resto_orig_iteration_output is not NULL, the output will be done twice per iteration, first for the restoration phase problem, and secondyl using the functions for the original NLP.

virtual Ipopt::RestoIterationOutput::~RestoIterationOutput | ( |  | ) | `[virtual]`

Default destructor.

Ipopt::RestoIterationOutput::RestoIterationOutput | ( |  | ) | `[private]`

Default Constructor.

Ipopt::RestoIterationOutput::RestoIterationOutput | ( | const RestoIterationOutput & |  | ) | `[private]`

Copy Constructor.

## Member Function Documentation

virtual bool Ipopt::RestoIterationOutput::InitializeImpl | ( | const OptionsList & | options,
|  | const std::string & | prefix |
| ) |  |  | `[virtual]`

overloaded from AlgorithmStrategyObject

Implements Ipopt::IterationOutput.

virtual void Ipopt::RestoIterationOutput::WriteOutput | ( |  | ) | `[virtual]`

Method to do all the summary output per iteration.

This include the one-line summary output as well as writing the details about the iterates if desired

Implements Ipopt::IterationOutput.

void Ipopt::RestoIterationOutput::operator= | ( | const RestoIterationOutput & |  | ) | `[private]`

Overloaded Equals Operator.

Reimplemented from Ipopt::IterationOutput.

## Member Data Documentation

SmartPtr<OrigIterationOutput> Ipopt::RestoIterationOutput::resto_orig_iteration_output_`[private]`

Pointer to output strategy object during regular iterations.

Definition at line 64 of file IpRestoIterationOutput.hpp.

bool Ipopt::RestoIterationOutput::print_info_string_`[private]`

Flag indicating weather info string should be printed at end of iteration summary line.

Definition at line 68 of file IpRestoIterationOutput.hpp.

InfPrOutput Ipopt::RestoIterationOutput::inf_pr_output_`[private]`

Option indication what should be printed in inf_pr column.

Definition at line 71 of file IpRestoIterationOutput.hpp.

int Ipopt::RestoIterationOutput::print_frequency_iter_`[private]`

Option indicating at which iteration frequency the summary line should be printed.

Definition at line 74 of file IpRestoIterationOutput.hpp.

Number Ipopt::RestoIterationOutput::print_frequency_time_`[private]`

Option indicating at which time frequency the summary line should be printed.

Definition at line 76 of file IpRestoIterationOutput.hpp.

The documentation for this class was generated from the following file:

- src/Algorithm/IpRestoIterationOutput.hpp

All Classes Files Functions Variables Typedefs Enumerations Enumerator Friends Defines